CUDNN Frontend API 8.3.0

Public Member Functions | Private Attributes | List of all members
nlohmann::detail::output_adapter< CharType, StringType > Class Template Reference

`#include <json.hpp>`

Collaboration diagram for nlohmann::detail::output_adapter< CharType, StringType >:

## Public Member Functions
| output_adapter (std::vector< CharType > &vec)
| output_adapter (std::basic_ostream< CharType > &s)
| output_adapter (StringType &s)
| operator output_adapter_t< CharType > ()

## Private Attributes
output_adapter_t< CharType > | oa = nullptr

## Detailed Description

### template<typename CharType, typename StringType = std::basic_string<CharType>>
class nlohmann::detail::output_adapter< CharType, StringType >

Definition at line 13226 of file json.hpp.

## Constructor & Destructor Documentation

## ◆ output_adapter() [1/3]

template<typename CharType, typename StringType = std::basic_string<CharType>>

nlohmann::detail::output_adapter< CharType, StringType >::output_adapter | ( | std::vector< CharType > & | vec | ) |
| inline

Definition at line 13229 of file json.hpp.

## ◆ output_adapter() [2/3]

template<typename CharType, typename StringType = std::basic_string<CharType>>

nlohmann::detail::output_adapter< CharType, StringType >::output_adapter | ( | std::basic_ostream< CharType > & | s | ) |
| inline

Definition at line 13232 of file json.hpp.

## ◆ output_adapter() [3/3]

template<typename CharType, typename StringType = std::basic_string<CharType>>

nlohmann::detail::output_adapter< CharType, StringType >::output_adapter | ( | StringType & | s | ) |
| inline

Definition at line 13235 of file json.hpp.

## Member Function Documentation

## ◆ operator output_adapter_t< CharType >()

template<typename CharType, typename StringType = std::basic_string<CharType>>

nlohmann::detail::output_adapter< CharType, StringType >::operator output_adapter_t< CharType > | ( |  | ) |
| inline

Definition at line 13238 of file json.hpp.

## Member Data Documentation

## ◆ oa

template<typename CharType, typename StringType = std::basic_string<CharType>>

output_adapter_t<CharType> nlohmann::detail::output_adapter< CharType, StringType >::oa = nullptr
| private

Definition at line 13244 of file json.hpp.

The documentation for this class was generated from the following file:

- json.hpp